#define _CRT_SECURE_NO_WARNINGS

#include "main.h"
#include <time.h>

#define UINT_MAX_ 4294967295
#define UINT_DBG_ 0 // 1 = debug on (LogMessage), 0 = off
#include "my_natives.cpp"

MY_EXT g_MyExt;
SMEXT_LINK(&g_MyExt);

sp_nativeinfo_t my_natives[] = 
{
	{"uint"			, native_uint},
	{"uintcmp"		, native_uintcmp},
	{"FormatUTime"	, native_FormatUTime},
	{NULL			, NULL},
};

bool MY_EXT::SDK_OnLoad(char *error, size_t maxlength, bool late)
{
	sharesys->AddNatives(myself, my_natives);
	sharesys->RegisterLibrary(myself, "uint");
	return true;
}